Imports System.IO
Imports GdPicture14

Public Class EmailAttachment
    Public OrgFileName As String = ""
    Public DestFileName As String = ""
    Public DestFilePath As String = ""

    Public FileStatus As GdPictureStatus = GdPictureStatus.OK

    Public IsAttachmentValid As Boolean = True
    Public ErrorCodeValue As ErrorCode = ErrorCode.Unknown
    Public ErrorCodeComment As String = ""

    Public AttachmentPosition As Integer = 0

    Public EmbeddedFiles As List(Of EmailAttachment) = New List(Of EmailAttachment)

    Public ReadOnly Property Extension As String
        Get
            If String.IsNullOrEmpty(OrgFileName) = False Then
                Return Path.GetExtension(OrgFileName)
            Else
                Return String.Empty
            End If
        End Get
    End Property

End Class
